package com.gic.haoban.manage.api.dto.licence;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 *
 * </p>
 *
 * @author jx
 * @since 2023-03-09
 */
public class AppOrderCheckDTO implements Serializable {

    private static final long serialVersionUID = 1L;
    /**
     * 弹窗类型 0 正常 1新购 2 续期
     */
    private Integer type;
    /**
     * 已购买人数
     */
    private Integer userNum;
    /**
     * 购买生效期的开始时间
     */
    private Date beginTime;
    /**
     * 购买生效期的结束时间
     */
    private Date endTime;
    /**
     * 合同到期天数
     */
    private Integer contractDay;
    /**
     * 当前时间
     */
    private Date now;

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public Integer getUserNum() {
        return userNum;
    }

    public void setUserNum(Integer userNum) {
        this.userNum = userNum;
    }

    public Date getBeginTime() {
        return beginTime;
    }

    public void setBeginTime(Date beginTime) {
        this.beginTime = beginTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    public Integer getContractDay() {
        return contractDay;
    }

    public void setContractDay(Integer contractDay) {
        this.contractDay = contractDay;
    }

    public Date getNow() {
        return now;
    }

    public void setNow(Date now) {
        this.now = now;
    }
}
